Bug 786026 (CVE-2012-0444)

Summary: CVE-2012-0444 Firefox: Ogg Vorbis Decoding Memory Corruption (MFSA 2012-07)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: gecko-bugs-nobody, mjc, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20120131,reported=20120131,source=mozilla,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-4/firefox=affected/impact=critical,rhel-5/firefox=affected/impact=critical,rhel-6/firefox=affected/impact=critical,rhel-4/libvorbis=affected/cvss2=4.6/AV:L/AC:L/Au:N/C:P/I:P/A:P,rhel-5/libvorbis=affected/cvss2=4.6/AV:L/AC:L/Au:N/C:P/I:P/A:P,rhel-6/libvorbis=affected/cvss2=4.6/AV:L/AC:L/Au:N/C:P/I:P/A:P,fedora-all/libvorbis=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-15 00:08:11 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 787073, 787074, 787075, 787076, 787077, 790653, 833932, 1021714    
Bug Blocks: 786405    

Description Huzaifa S. Sidhpurwala 2012-01-31 03:35:22 EST
A memory corruption flaw was found in the way Firefox parsed Ogg Vorbis files. When a malicious Ogg Vorbis file could cause firefox to crash or execute arbitrary code with the permission of the user running firefox.

Reference:
https://bugzilla.mozilla.org/show_bug.cgi?id=719612
Comment 1 Tomas Hoger 2012-01-31 15:00:18 EST
Public now via:
  http://www.mozilla.org/security/announce/2012/mfsa2012-07.html
Comment 2 Vincent Danen 2012-01-31 15:25:23 EST
External References:

http://www.mozilla.org/security/announce/2012/mfsa2012-07.html
Comment 3 errata-xmlrpc 2012-01-31 19:07:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0079 https://rhn.redhat.com/errata/RHSA-2012-0079.html
Comment 7 Huzaifa S. Sidhpurwala 2012-02-03 00:03:13 EST
The following upstream patch fixes this issue:
https://hg.mozilla.org/releases/mozilla-1.9.2/rev/952491790dee
Comment 9 Huzaifa S. Sidhpurwala 2012-02-03 01:01:22 EST
This issue has also been addressed upstream in libvorbis via the following commit:
https://trac.xiph.org/changeset/18151
Comment 10 Huzaifa S. Sidhpurwala 2012-02-14 23:45:06 EST
Created libvorbis tracking bugs for this issue

Affects: fedora-all [bug 790653]
Comment 11 errata-xmlrpc 2012-02-14 23:55:32 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2012:0136 https://rhn.redhat.com/errata/RHSA-2012-0136.html